
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/********************************************************************
* file: cslr_mpu2.h
*
* Brief: This file contains the Register Description for mpu2
*
*********************************************************************/
#ifndef _CSLR_MPU2_H_
#define _CSLR_MPU2_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 4 bytes */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 REVISION;
    volatile Uint32 CONFIGURATION;
    volatile Uint32 RSVD0[2];
    volatile Uint32 INTR_RAW_STATUS;
    volatile Uint32 INTR_ENABLED_STATUS;
    volatile Uint32 INTR_ENABLE;
    volatile Uint32 INTR_ENABLE_CLR;
    volatile Uint32 EOI;
    volatile Uint32 INTR_VECTOR;
    volatile Uint32 RSVD1[54];
    volatile Uint32 FIXED_MPSAR;
    volatile Uint32 FIXED_MPEAR;
    volatile Uint32 FIXED_MPPA;
    volatile Uint32 RSVD2[61];
    volatile Uint32 PROG0_MPSAR;
    volatile Uint32 PROG0_MPEAR;
    volatile Uint32 PROG0_MPPA;
    volatile Uint32 RSVD3;
    volatile Uint32 PROG1_MPSAR;
    volatile Uint32 PROG1_MPEAR;
    volatile Uint32 PROG1_MPPA;
    volatile Uint32 RSVD4;
    volatile Uint32 PROG2_MPSAR;
    volatile Uint32 PROG2_MPEAR;
    volatile Uint32 PROG2_MPPA;
    volatile Uint32 RSVD5;
    volatile Uint32 PROG3_MPSAR;
    volatile Uint32 PROG3_MPEAR;
    volatile Uint32 PROG3_MPPA;
    volatile Uint32 RSVD6;
    volatile Uint32 PROG4_MPSAR;
    volatile Uint32 PROG4_MPEAR;
    volatile Uint32 PROG4_MPPA;
    volatile Uint32 RSVD7;
    volatile Uint32 PROG5_MPSAR;
    volatile Uint32 PROG5_MPEAR;
    volatile Uint32 PROG5_MPPA;
    volatile Uint32 RSVD8;
    volatile Uint32 PROG6_MPSAR;
    volatile Uint32 PROG6_MPEAR;
    volatile Uint32 PROG6_MPPA;
    volatile Uint32 RSVD9;
    volatile Uint32 PROG7_MPSAR;
    volatile Uint32 PROG7_MPEAR;
    volatile Uint32 PROG7_MPPA;
    volatile Uint32 RSVD10;
    volatile Uint32 PROG8_MPSAR;
    volatile Uint32 PROG8_MPEAR;
    volatile Uint32 PROG8_MPPA;
    volatile Uint32 RSVD11;
    volatile Uint32 PROG9_MPSAR;
    volatile Uint32 PROG9_MPEAR;
    volatile Uint32 PROG9_MPPA;
    volatile Uint32 RSVD12;
    volatile Uint32 PROG10_MPSAR;
    volatile Uint32 PROG10_MPEAR;
    volatile Uint32 PROG10_MPPA;
    volatile Uint32 RSVD13;
    volatile Uint32 PROG11_MPSAR;
    volatile Uint32 PROG11_MPEAR;
    volatile Uint32 PROG11_MPPA;
    volatile Uint32 RSVD14[17];
    volatile Uint32 MPFAR;
    volatile Uint32 MPFSR;
    volatile Uint32 MPFCR;
} CSL_Mpu2Regs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* revision_reg */

#define CSL_MPU2_REVISION_SCHEME_MASK (0xC0000000u)
#define CSL_MPU2_REVISION_SCHEME_SHIFT (0x0000001Eu)
#define CSL_MPU2_REVISION_SCHEME_RESETVAL (0x00000001u)

#define CSL_MPU2_REVISION_MODULE_MASK (0x0FFF0000u)
#define CSL_MPU2_REVISION_MODULE_SHIFT (0x00000010u)
#define CSL_MPU2_REVISION_MODULE_RESETVAL (0x00000E81u)

#define CSL_MPU2_REVISION_RTL_MASK (0x0000F800u)
#define CSL_MPU2_REVISION_RTL_SHIFT (0x0000000Bu)
#define CSL_MPU2_REVISION_RTL_RESETVAL (0x00000009u)

#define CSL_MPU2_REVISION_MAJOR_MASK (0x00000700u)
#define CSL_MPU2_REVISION_MAJOR_SHIFT (0x00000008u)
#define CSL_MPU2_REVISION_MAJOR_RESETVAL (0x00000001u)

#define CSL_MPU2_REVISION_CUSTOM_MASK (0x000000C0u)
#define CSL_MPU2_REVISION_CUSTOM_SHIFT (0x00000006u)
#define CSL_MPU2_REVISION_CUSTOM_RESETVAL (0x00000000u)

#define CSL_MPU2_REVISION_MINOR_MASK (0x0000003Fu)
#define CSL_MPU2_REVISION_MINOR_SHIFT (0x00000000u)
#define CSL_MPU2_REVISION_MINOR_RESETVAL (0x00000001u)

#define CSL_MPU2_REVISION_RESETVAL   (0x4E814901u)

/* configuration_reg */

#define CSL_MPU2_CONFIGURATION_ADDR_WIDTH_MASK (0xFF000000u)
#define CSL_MPU2_CONFIGURATION_ADDR_WIDTH_SHIFT (0x00000018u)
#define CSL_MPU2_CONFIGURATION_ADDR_WIDTH_RESETVAL (0x00000006u)

#define CSL_MPU2_CONFIGURATION_NUM_FIXED_MASK (0x00F00000u)
#define CSL_MPU2_CONFIGURATION_NUM_FIXED_SHIFT (0x00000014u)
#define CSL_MPU2_CONFIGURATION_NUM_FIXED_RESETVAL (0x00000001u)

#define CSL_MPU2_CONFIGURATION_NUM_PROG_MASK (0x000F0000u)
#define CSL_MPU2_CONFIGURATION_NUM_PROG_SHIFT (0x00000010u)
#define CSL_MPU2_CONFIGURATION_NUM_PROG_RESETVAL (0x0000000Cu)

#define CSL_MPU2_CONFIGURATION_NUM_AIDS_MASK (0x0000F000u)
#define CSL_MPU2_CONFIGURATION_NUM_AIDS_SHIFT (0x0000000Cu)
#define CSL_MPU2_CONFIGURATION_NUM_AIDS_RESETVAL (0x0000000Cu)

#define CSL_MPU2_CONFIGURATION_ASSUMED_ALLOWED_MASK (0x00000001u)
#define CSL_MPU2_CONFIGURATION_ASSUMED_ALLOWED_SHIFT (0x00000000u)
#define CSL_MPU2_CONFIGURATION_ASSUMED_ALLOWED_RESETVAL (0x00000001u)

#define CSL_MPU2_CONFIGURATION_RESETVAL (0x061CC001u)

/* intr_raw_status_reg */

#define CSL_MPU2_INTR_RAW_STATUS_ADDR_ERR_MASK (0x00000002u)
#define CSL_MPU2_INTR_RAW_STATUS_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_MPU2_INTR_RAW_STATUS_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_RAW_STATUS_PROT_ERR_MASK (0x00000001u)
#define CSL_MPU2_INTR_RAW_STATUS_PROT_ERR_SHIFT (0x00000000u)
#define CSL_MPU2_INTR_RAW_STATUS_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_RAW_STATUS_RESETVAL (0x00000000u)

/* intr_enabled_status_reg */

#define CSL_MPU2_INTR_ENABLED_STATUS_ADDR_ERR_MASK (0x00000002u)
#define CSL_MPU2_INTR_ENABLED_STATUS_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_MPU2_INTR_ENABLED_STATUS_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLED_STATUS_PROT_ERR_MASK (0x00000001u)
#define CSL_MPU2_INTR_ENABLED_STATUS_PROT_ERR_SHIFT (0x00000000u)
#define CSL_MPU2_INTR_ENABLED_STATUS_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLED_STATUS_RESETVAL (0x00000000u)

/* intr_enable_reg */

#define CSL_MPU2_INTR_ENABLE_ADDR_ERR_MASK (0x00000002u)
#define CSL_MPU2_INTR_ENABLE_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_MPU2_INTR_ENABLE_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLE_PROT_ERR_MASK (0x00000001u)
#define CSL_MPU2_INTR_ENABLE_PROT_ERR_SHIFT (0x00000000u)
#define CSL_MPU2_INTR_ENABLE_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLE_RESETVAL (0x00000000u)

/* intr_enable_clr_reg */

#define CSL_MPU2_INTR_ENABLE_CLR_ADDR_ERR_MASK (0x00000002u)
#define CSL_MPU2_INTR_ENABLE_CLR_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_MPU2_INTR_ENABLE_CLR_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLE_CLR_PROT_ERR_MASK (0x00000001u)
#define CSL_MPU2_INTR_ENABLE_CLR_PROT_ERR_SHIFT (0x00000000u)
#define CSL_MPU2_INTR_ENABLE_CLR_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_ENABLE_CLR_RESETVAL (0x00000000u)

/* eoi_reg */

#define CSL_MPU2_EOI_VECTOR_MASK (0x000000FFu)
#define CSL_MPU2_EOI_VECTOR_SHIFT (0x00000000u)
#define CSL_MPU2_EOI_VECTOR_RESETVAL (0x00000000u)

#define CSL_MPU2_EOI_RESETVAL        (0x00000000u)

/* intr_vector_reg */

#define CSL_MPU2_INTR_VECTOR_VECTOR_MASK (0xFFFFFFFFu)
#define CSL_MPU2_INTR_VECTOR_VECTOR_SHIFT (0x00000000u)
#define CSL_MPU2_INTR_VECTOR_VECTOR_RESETVAL (0x00000000u)

#define CSL_MPU2_INTR_VECTOR_RESETVAL (0x00000000u)

/* fixed_start_addr_reg */

#define CSL_MPU2_FIXED_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_FIXED_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_FIXED_MPSAR_ADDR_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPSAR_RESETVAL (0x00000000u)

/* fixed_end_addr_reg */

#define CSL_MPU2_FIXED_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_FIXED_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_FIXED_MPEAR_ADDR_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPEAR_RESETVAL (0x00000000u)

/* fixed_mppa_reg */

#define CSL_MPU2_FIXED_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_FIXED_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_FIXED_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_FIXED_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_FIXED_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_FIXED_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_FIXED_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_FIXED_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_FIXED_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_FIXED_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_FIXED_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_FIXED_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_FIXED_MPPA_SR_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_FIXED_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_FIXED_MPPA_SW_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_FIXED_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_FIXED_MPPA_SX_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_FIXED_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_FIXED_MPPA_UR_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_FIXED_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_FIXED_MPPA_UW_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_FIXED_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_FIXED_MPPA_UX_RESETVAL (0x00000000u)

#define CSL_MPU2_FIXED_MPPA_RESETVAL (0x03FFFE00u)

/* prog_start_addr_reg0 */

#define CSL_MPU2_PROG0_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG0_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG0_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG0_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG0_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG0_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG0_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg0 */

#define CSL_MPU2_PROG0_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG0_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG0_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG0_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG0_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG0_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG0_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg0 */

#define CSL_MPU2_PROG0_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG0_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG0_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG0_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG0_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG0_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG0_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG0_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG0_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG0_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG0_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG0_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG0_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG0_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG0_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG0_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG0_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG0_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG0_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG0_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG0_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG0_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG0_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG0_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG0_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg1 */

#define CSL_MPU2_PROG1_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG1_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG1_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG1_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG1_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG1_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG1_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg1 */

#define CSL_MPU2_PROG1_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG1_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG1_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG1_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG1_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG1_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG1_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg1 */

#define CSL_MPU2_PROG1_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG1_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG1_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG1_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG1_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG1_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG1_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG1_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG1_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG1_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG1_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG1_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG1_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG1_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG1_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG1_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG1_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG1_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG1_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG1_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG1_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG1_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG1_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG1_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG1_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg2 */

#define CSL_MPU2_PROG2_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG2_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG2_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG2_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG2_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG2_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG2_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg2 */

#define CSL_MPU2_PROG2_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG2_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG2_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG2_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG2_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG2_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG2_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg2 */

#define CSL_MPU2_PROG2_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG2_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG2_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG2_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG2_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG2_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG2_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG2_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG2_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG2_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG2_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG2_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG2_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG2_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG2_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG2_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG2_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG2_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG2_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG2_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG2_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG2_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG2_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG2_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG2_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg3 */

#define CSL_MPU2_PROG3_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG3_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG3_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG3_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG3_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG3_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG3_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg3 */

#define CSL_MPU2_PROG3_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG3_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG3_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG3_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG3_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG3_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG3_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg3 */

#define CSL_MPU2_PROG3_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG3_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG3_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG3_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG3_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG3_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG3_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG3_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG3_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG3_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG3_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG3_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG3_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG3_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG3_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG3_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG3_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG3_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG3_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG3_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG3_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG3_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG3_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG3_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG3_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg4 */

#define CSL_MPU2_PROG4_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG4_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG4_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG4_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG4_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG4_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG4_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg4 */

#define CSL_MPU2_PROG4_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG4_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG4_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG4_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG4_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG4_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG4_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg4 */

#define CSL_MPU2_PROG4_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG4_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG4_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG4_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG4_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG4_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG4_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG4_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG4_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG4_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG4_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG4_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG4_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG4_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG4_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG4_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG4_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG4_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG4_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG4_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG4_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG4_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG4_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG4_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG4_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg5 */

#define CSL_MPU2_PROG5_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG5_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG5_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG5_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG5_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG5_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG5_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg5 */

#define CSL_MPU2_PROG5_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG5_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG5_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG5_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG5_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG5_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG5_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg5 */

#define CSL_MPU2_PROG5_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG5_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG5_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG5_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG5_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG5_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG5_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG5_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG5_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG5_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG5_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG5_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG5_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG5_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG5_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG5_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG5_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG5_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG5_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG5_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG5_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG5_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG5_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG5_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG5_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg6 */

#define CSL_MPU2_PROG6_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG6_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG6_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG6_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG6_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG6_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG6_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg6 */

#define CSL_MPU2_PROG6_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG6_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG6_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG6_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG6_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG6_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG6_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg6 */

#define CSL_MPU2_PROG6_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG6_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG6_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG6_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG6_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG6_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG6_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG6_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG6_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG6_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG6_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG6_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG6_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG6_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG6_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG6_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG6_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG6_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG6_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG6_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG6_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG6_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG6_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG6_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG6_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg7 */

#define CSL_MPU2_PROG7_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG7_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG7_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG7_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG7_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG7_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG7_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg7 */

#define CSL_MPU2_PROG7_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG7_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG7_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG7_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG7_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG7_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG7_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg7 */

#define CSL_MPU2_PROG7_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG7_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG7_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG7_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG7_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG7_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG7_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG7_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG7_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG7_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG7_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG7_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG7_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG7_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG7_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG7_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG7_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG7_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG7_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG7_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG7_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG7_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG7_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG7_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG7_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg8 */

#define CSL_MPU2_PROG8_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG8_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG8_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG8_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG8_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG8_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG8_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg8 */

#define CSL_MPU2_PROG8_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG8_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG8_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG8_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG8_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG8_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG8_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg8 */

#define CSL_MPU2_PROG8_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG8_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG8_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG8_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG8_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG8_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG8_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG8_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG8_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG8_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG8_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG8_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG8_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG8_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG8_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG8_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG8_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG8_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG8_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG8_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG8_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG8_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG8_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG8_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG8_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg9 */

#define CSL_MPU2_PROG9_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG9_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG9_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG9_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG9_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG9_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG9_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg9 */

#define CSL_MPU2_PROG9_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG9_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG9_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG9_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG9_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG9_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG9_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg9 */

#define CSL_MPU2_PROG9_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG9_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG9_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG9_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG9_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG9_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG9_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG9_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG9_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG9_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG9_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG9_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG9_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG9_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG9_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG9_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG9_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG9_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG9_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG9_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG9_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG9_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG9_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG9_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG9_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg10 */

#define CSL_MPU2_PROG10_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG10_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG10_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG10_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG10_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG10_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG10_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg10 */

#define CSL_MPU2_PROG10_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG10_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG10_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG10_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG10_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG10_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG10_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg10 */

#define CSL_MPU2_PROG10_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG10_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG10_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG10_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG10_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG10_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG10_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG10_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG10_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG10_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG10_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG10_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG10_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG10_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG10_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG10_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG10_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG10_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG10_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG10_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG10_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG10_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG10_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG10_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG10_MPPA_RESETVAL (0x03FFFE3Fu)

/* prog_start_addr_reg11 */

#define CSL_MPU2_PROG11_MPSAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG11_MPSAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG11_MPSAR_ADDR_RESETVAL (0x0000C000u)

#define CSL_MPU2_PROG11_MPSAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG11_MPSAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG11_MPSAR_ADDR_LSBS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG11_MPSAR_RESETVAL (0xC0000000u)

/* prog_end_addr_reg11 */

#define CSL_MPU2_PROG11_MPEAR_ADDR_MASK (0xFFFF0000u)
#define CSL_MPU2_PROG11_MPEAR_ADDR_SHIFT (0x00000010u)
#define CSL_MPU2_PROG11_MPEAR_ADDR_RESETVAL (0x0000DFFFu)

#define CSL_MPU2_PROG11_MPEAR_ADDR_LSBS_MASK (0x0000FFFFu)
#define CSL_MPU2_PROG11_MPEAR_ADDR_LSBS_SHIFT (0x00000000u)
#define CSL_MPU2_PROG11_MPEAR_ADDR_LSBS_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG11_MPEAR_RESETVAL (0xDFFFFFFFu)

/* prog_mppa_reg11 */

#define CSL_MPU2_PROG11_MPPA_AID15_0_MASK (0x03FFFC00u)
#define CSL_MPU2_PROG11_MPPA_AID15_0_SHIFT (0x0000000Au)
#define CSL_MPU2_PROG11_MPPA_AID15_0_RESETVAL (0x0000FFFFu)

#define CSL_MPU2_PROG11_MPPA_AIDX_MASK (0x00000200u)
#define CSL_MPU2_PROG11_MPPA_AIDX_SHIFT (0x00000009u)
#define CSL_MPU2_PROG11_MPPA_AIDX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_NS_MASK (0x00000080u)
#define CSL_MPU2_PROG11_MPPA_NS_SHIFT (0x00000007u)
#define CSL_MPU2_PROG11_MPPA_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG11_MPPA_EMU_MASK (0x00000040u)
#define CSL_MPU2_PROG11_MPPA_EMU_SHIFT (0x00000006u)
#define CSL_MPU2_PROG11_MPPA_EMU_RESETVAL (0x00000000u)

#define CSL_MPU2_PROG11_MPPA_SR_MASK (0x00000020u)
#define CSL_MPU2_PROG11_MPPA_SR_SHIFT (0x00000005u)
#define CSL_MPU2_PROG11_MPPA_SR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_SW_MASK (0x00000010u)
#define CSL_MPU2_PROG11_MPPA_SW_SHIFT (0x00000004u)
#define CSL_MPU2_PROG11_MPPA_SW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_SX_MASK (0x00000008u)
#define CSL_MPU2_PROG11_MPPA_SX_SHIFT (0x00000003u)
#define CSL_MPU2_PROG11_MPPA_SX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_UR_MASK (0x00000004u)
#define CSL_MPU2_PROG11_MPPA_UR_SHIFT (0x00000002u)
#define CSL_MPU2_PROG11_MPPA_UR_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_UW_MASK (0x00000002u)
#define CSL_MPU2_PROG11_MPPA_UW_SHIFT (0x00000001u)
#define CSL_MPU2_PROG11_MPPA_UW_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_UX_MASK (0x00000001u)
#define CSL_MPU2_PROG11_MPPA_UX_SHIFT (0x00000000u)
#define CSL_MPU2_PROG11_MPPA_UX_RESETVAL (0x00000001u)

#define CSL_MPU2_PROG11_MPPA_RESETVAL (0x03FFFE3Fu)

/* fault_address_reg */

#define CSL_MPU2_MPFAR_ADDR_MASK (0xFFFFFFFFu)
#define CSL_MPU2_MPFAR_ADDR_SHIFT (0x00000000u)
#define CSL_MPU2_MPFAR_ADDR_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFAR_RESETVAL (0x00000000u)

/* fault_status_reg */

#define CSL_MPU2_MPFSR_ID_MASK (0x0F000000u)
#define CSL_MPU2_MPFSR_ID_SHIFT (0x00000018u)
#define CSL_MPU2_MPFSR_ID_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFSR_MSTID_MASK (0x00FF0000u)
#define CSL_MPU2_MPFSR_MSTID_SHIFT (0x00000010u)
#define CSL_MPU2_MPFSR_MSTID_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFSR_PRIVID_MASK (0x00001E00u)
#define CSL_MPU2_MPFSR_PRIVID_SHIFT (0x00000009u)
#define CSL_MPU2_MPFSR_PRIVID_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFSR_NS_MASK (0x00000080u)
#define CSL_MPU2_MPFSR_NS_SHIFT (0x00000007u)
#define CSL_MPU2_MPFSR_NS_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFSR_TYPE_MASK (0x0000003Fu)
#define CSL_MPU2_MPFSR_TYPE_SHIFT (0x00000000u)
#define CSL_MPU2_MPFSR_TYPE_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFSR_RESETVAL (0x00000000u)

/* fault_clear_reg */

#define CSL_MPU2_MPFCR_CLEAR_MASK (0x00000001u)
#define CSL_MPU2_MPFCR_CLEAR_SHIFT (0x00000000u)
#define CSL_MPU2_MPFCR_CLEAR_RESETVAL (0x00000000u)

#define CSL_MPU2_MPFCR_RESETVAL (0x00000000u)

#endif
